Canon LBP6230-6240 su Linux

Problema

Usando la stampante Canon LBP6230 su Linux con i driver originali Canon (UFRIILT-drv-v140 ver.1.40) sulle ultime distribuzioni Linux (Ubuntu >17.10, Fedora >26) la stampante viene installata correttamente tuttavia non risulta possibile stampare.
Il messaggio di errore mostrato nel syslog e in CUPS è il seguente:

 - src = bidiCommon.c, line = 349, err = 0¥nDEBUG2: prtMarkerSuppliesLevel.1.1 = 100

Soluzione

Si può risolvere la problematica aggiungeno la riga

*CN_PDL_ConvertUserPaper: "dummy"

nel file ppd /etc/cups/ppd/nomeStampante.ppd, dove nomeStampante è il nome che si è dato alla stampante nel sistema operativo.

Il file va editato con i permessi di root (via shell o tramite gksudo gedit etc/cups/ppd/nomeStampante.ppd).

Aggiungi ai preferiti : Permalink.

I commenti sono chiusi